Bug 35765 - univention-samba: net idmap secret failed
univention-samba: net idmap secret failed
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Arvid Requate
Felix Botner
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-01 18:16 CEST by Felix Botner
Modified: 2014-11-26 06:54 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2014-09-01 18:16:37 CEST
During join i get 

Can't load /etc/samba/smb.conf - run testparm to debug it
setting idmap secret for '*' from /etc/ldap.secret
Usage:
net idmap dump            Dump the current ID mapping database
net idmap restore         Restore entries from a file or stdin
net idmap get             Read data from the ID mapping database
net idmap set             Write data to the ID mapping database
net idmap delete          Delete entries from the ID mapping database
net idmap check           Check id mappings
Comment 2 Arvid Requate univentionstaff 2014-09-01 18:46:51 CEST
The new "net idmap set secret" was introduced here:

https://git.samba.org/samba.git/?p=samba.git;a=commit;h=68c4414fa5200914cba726f964dbe4f2e6407fff

I adjusted the joinscript and theserver_password_change.d/univention-samba.
Comment 3 Felix Botner univentionstaff 2014-09-02 12:56:25 CEST
OK - net idmap set secret is used in join and password change script
OK - changelog
Comment 4 Stefan Gohmann univentionstaff 2014-11-26 06:54:03 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".